package domain


type AlibabaWdkMerchantItemCreatedraftResult struct {
    /*
        success     */
    Suc  *bool `json:"suc,omitempty" `

    /*
        errorCode     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        errorDesc     */
    ErrDesc  *string `json:"err_desc,omitempty" `

}

func (s *AlibabaWdkMerchantItemCreatedraftResult) SetSuc(v bool) *AlibabaWdkMerchantItemCreatedraftResult {
    s.Suc = &v
    return s
}
func (s *AlibabaWdkMerchantItemCreatedraftResult) SetErrCode(v string) *AlibabaWdkMerchantItemCreatedraftResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkMerchantItemCreatedraftResult) SetErrDesc(v string) *AlibabaWdkMerchantItemCreatedraftResult {
    s.ErrDesc = &v
    return s
}
